Package com.ads.services.webservice

# Class RelationshipService

java.lang.Object
com.ads.services.webservice.RelationshipService

public class RelationshipService extends Object
Contains the methods which performs the retrieval operation of relationships.
All the WebServices methods have return type String - meaning if the method is execution is successful, then it will return a string in the form of JSON or XML String based on the outputFormat parameter given by the user.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RelationshipService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getRelationship(String userName, String password, String outputFormat, int sourceObjectTypeId, int targetObjectTypeId, String title, String relationshipType)`
  Returns the relationship object for the specified sourceObjectTypeId, targetObjectTypeId, title and relationshipType.
  `String`
  `getRelationships(String userName, String password, String outputFormat)`
  Returns the list of all the relationship objects present in the business glossary module.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RelationshipService

    public RelationshipService()

- ## Method Details

  - ### getRelationship

    public String getRelationship(String userName, String password, String outputFormat, int sourceObjectTypeId, int targetObjectTypeId, String title, String relationshipType)
    Returns the relationship object for the specified sourceObjectTypeId, targetObjectTypeId, title and relationshipType. Specifying the sourceObjectTypeId, targetObjectTypeId, title and relationshipType are mandatory.
    It returns all the details like relationShipDetailId, relationShipMasterId, forwardTitle, reverseTitle, description and relationshipType etc..
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML.
      `sourceObjectTypeId` - int
      `targetObjectTypeId` - int
      `title` - String
      `relationshipType` - String - Valid types: FORWARD, REVERSE, BOTH.
    Returns:
      String - Relationship object in the form of JSON or XML String.
    Since:
      12.0

  - ### getRelationships

    public String getRelationships(String userName, String password, String outputFormat)
    Returns the list of all the relationship objects present in the business glossary module.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML.
    Returns:
      String - List of relationship objects in the form of JSON or XML String.
    Since:
      12.0